import PlanConfigurationProcess from '../../../protection-plan/domain/models/configuration-process/plan-configuration-process';
export default interface PlanConfigurationRepository {
    find(id: string): Promise<PlanConfigurationProcess | undefined>;
    save(plan: PlanConfigurationProcess): Promise<any>;
    remove(id: string): Promise<any>;
    checkCanProtect(planId: string): Promise<boolean>;
}
